%define snapshot_date 20021126
%undefine snapshot_date

Name: xvid
Version: 0.9.0
%define release alt1

%ifdef snapshot_date
Release: %{release}cvs%snapshot_date
%else
Release: %release
%endif

Summary: GPLed reimplementation of OpenDivX video codec
Group: System/Libraries
License: GPL
Url: http://www.xvid.org

Packager: Yuri N. Sedunov <aris@altlinux.ru>

%ifndef snapshot_date
Source: %url/%version/%{name}core-%version.tar.bz2
%else
Source: %url/%{name}_snapshot_%snapshot_date.tar.bz2
%endif

ExclusiveArch: %ix86 ppc sparc sparc64 sparcv9

# Automatically added by buildreq on Sun Dec 29 2002
BuildRequires: nasm

%description
GPLed reimplementation of OpenDivX video codec. You can play OpenDivX
and DivX4 videos with it.

%package devel
Summary: Development files of XviD video codec
Group: Development/C
Requires: %name = %version-%release

%description devel
Development files of XviD video codec.

%package static-libs
Summary: Static library of XviD video codec
Group: Development/C
Requires: %name-devel = %version-%release

%description static-libs
This package contains static library of XviD video codec.

%prep
%ifndef snapshot_date
%setup -q -n %{name}core-%version
%else
%setup  -q -n %{name}_%snapshot_date
%endif

%build
%ifdef snapshot_date
cd xvidcore
%endif
cd build/generic

%make_build -f \
%ifarch %ix86
    Makefile.linuxx86 \
%endif
%ifarch ppc
    Makefile.linuxppc \
%endif
%ifarch sparc sparc64 sparcv9
    Makefile.sparc \
%endif
	CC="%__cc" \
	CFLAGS="$RPM_OPT_FLAGS \
%ifarch %ix86
	-DARCH_X86 \
%endif
%ifarch ppc
	-DARCH_PPC -DARCH_IS_BIG_ENDIAN \
%endif
%ifarch sparc sparc64 sparcv9
	-DARCH_IS_BIG_ENDIAN -DARCH_SPARC \
%endif
	-DLINUX -ffast-math -fstrict-aliasing %{!?debug:-funroll-loops -fomit-frame-pointer}"

%install
%__install -d %buildroot{%_libdir,%_includedir}
%ifdef snapshot_date
cd xvidcore
%endif

pushd build/generic
%__install *.so %buildroot%_libdir
%__install -m644 *.a %buildroot%_libdir
popd

pushd src
%__install -m644 xvid.h divx4.h %buildroot%_includedir
popd

# devel docs
%__mkdir_p docs develdocs
%__cp authors* changelog* todo* LICENSE docs/
%__cp CodingStyle doc/{README,*txt} develdocs/

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so
%doc docs/*

%files devel
%_includedir/*.h
%doc develdocs/*

%files static-libs
%_libdir/*.a

%changelog
* Sun Dec 29 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Fri Sep 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 0-alt0.6cvs20020822
- lastest snapshot built

* Fri May 17 2002 Yuri N. Sedunov <aris@altlinux.ru> 0-alt0.5cvs120020412
- Adopted for Sisyphus PLD Team package. 
